# git-cr

git-cr is a code review system which works at the commit, rather than PR, level.
It is designed for use by teams practising trunk-based development, where
reviews take place _after_ code is merged. If this sounds crazy, see
[my blog post on the topic](https://tsvallender.co.uk/blog_posts/a-vision-of-continuous-integration).

git-cr stores code reviews in the same repository as your code, using
[git notes](https://git-scm.com/docs/git-notes). It allows you to review commits in
your own editor, with no other special tooling. It’s designed to be incredibly minimal
and meet you where you are.

git-cr is a collection of BASH scripts, and should run on any UNIX-like system.

git-cr is _very_ new and not ready for any kind of use!

## Workflow

```bash
git cr n # Review the currently checked out commit
```

## Features coming soon

- List reviews on your commits only
- Tag necessary actions in reviews
  - List actions needed
  - Hook in your ticketing system to automatically make tickets from requested actions

## Features coming maybe

- Improved editor support for working with review files
